ReCycle Application Window

To get help on the ReCycle Window, click in the picture below (aim at the section of the window that you want to know more about).


Status Bar

The left side of the Status Bar displays the following:

If you point anywhere on the Toolbar, this area will display "extended" tooltips for the item you point to and, if applicable, keyboard shortcuts in parentheses for any Toolbar item you point to.

Pointing in the waveform display will show the position (in seconds or samples depending on the Preferences setting).

In addition, the Status Bar always displays the following properties regarding the currently selected file in the right half of the Status Bar:

Stereo/Mono status of the file.

The sample rate at which the file was recorded.

The number of slices between the locators.

The length of the file in seconds.

The size of the transmitted/exported data in bytes.


Main Waveform Display

The main Waveform Display is where the actual waveform of a loaded file is shown. The vertical slice markers (if any have been created) are also shown here as is the playback position (indicated by a dotted vertical line).

The look of this window can be customized, see Preferences - Waveform .

If you point your mouse in this area you can do the following, depending on the selected Tool (see Toolbox ):

When you click in this area with the Arrow Tool selected you can audition slices.

When you move the mouse over the waveform area, the pointer turns into a speaker icon. When you click with the speaker tool on a Slice (a section of waveform between two Slice markers), it plays back.

Press [Space] to stop (even if you don't, playback automatically stops at the end of the Slice).

If you click and drag left or right you can audition consecutive slices (dragging to the left will not play slices "backwards", it only reverses the order in which the slices are played back). The "hot-spot" (the part of the pointer that you aim with) is indicated by a cross.

Adding Slice Markers

If you click in this area with the Pencil tool, you can add slice markers.

Before adding slices manually, make absolutely sure the slices found by the analyze algorithm don't suffice. The program is very good at finding slice points, and the points found by the program often work better - for example for tempo changes - than the ones that you can find manually. For more in depth information about adding slices please refer to the printed documentation.

If you hold down [Ctrl] and click in the waveform display, the pointer turns into a magnifying glass which allows you to zoom in on the waveform. If you click once, the view is zoomed in one step.

The position you clicked at will be centred in the window.

Zooming out is done the same way as zooming in, except you also hold down the [Alt] key.

Using a Zoom rectangle

To select a certain area to zoom in on, proceed as follows:

If you hold down [Ctrl] and press and hold the mouse button in the waveform display, you can drag to make up a selection rectangle.

When you release the mouse button, the selected area will fill the entire window.

Context Menu

Right-clicking in the main area of the Waveform display brings up a context menu with the following items:

Menu Item | Description
Copy Loop | You can use "Copy Loop" to copy the entire loop (i.e. all waveform data between the left and right locators) to the clipboard.
Set Left Locator to This Slice | The left locator will be placed at the beginning of the slice you clicked on.
Set Right Locator to This Slice | The right locator will be placed at the end of the slice you clicked on.
Set Loop Around This Slice | The left and right locators will be placed at the start and end of the slice you clicked on, respectively.
Jump to Cursor | If this is selected, the window will scroll to the current play position, maintaining the current magnification factor.
Magnify to Fit/Magnify to Fit Loop | If you select Magnify to Fit from the menu, the display will zoom out so that the entire sample fits the window. If Magnify to Fit Loop is selected, the display will zoom in (or out) so that the area between the left and right locators will fit the window.
Magnify to Fit Slice | This will zoom the display so that a single slice (the slice you clicked on) will fit the window.


Thumbnail Overview

When zoomed in on the waveform, the Thumbnail Overview will display a dark rectangular area indicating which part of the waveform is currently shown in the main waveform display. This rectangle can be dragged sideways, which scrolls the waveform display. If you click anywhere in the Thumbnail Overview the rectangle will move to that position.

You can also draw a selection rectangle in the thumbnail display with the [Ctrl] key pressed.

This changes the zoom factor of the main waveform, not of the thumbnail itself.


Marker Strip

This area is used to select slice markers, and to work on slices using the Hide and Lock tools. It is also possible to move and delete slice markers.

Selecting Markers

Selecting is done with the Arrow Tool.

You can have the Pencil Tool selected, but this automatically changes to the Arrow tool if you point in the Marker strip.

You can select one marker by clicking on its triangle symbol.

If you hold down [Shift], you can click on more markers to select them. Clicking again with [Shift] pressed deselects a marker.

You can make up a selection rectangle by pointing between slices in the Marker strip, pressing the mouse button and dragging left or right. When you release the mouse button, all the slices inside the rectangle will get selected.

You can use the Select All item on the Edit menu to select all markers.

If you have a selection of markers, you can invert the selection by using "Invert Selection", also on the Edit menu.

After this operation, the markers that were previously selected are now deselected, and vice versa. This is mainly useful together with Silence Selected .

To deselect all markers, click between two markers on the marker strip.

Using the Hide Tool

You might run into situations where there are too many slices on the screen. You could of course reduce the Sensitivity to get rid of the slice markers you don't want, but then other slice markers could disappear too, and this might not be desirable. What you need to do in a situation like this is to "Hide" an individual slice, and this is just what the Hide Tool lets you do: When you select the Hide Tool and click on a slice marker it gets diminished and its line disappears.

Using the Lock Tool

The Lock tool is essentially the opposite of the Hide tool. If you lock a slice, by clicking on its marker with the Lock tool, it will stay even if you drag the Sensitivity slider all the way to zero.

If you got a good set of slices by just using the Sensitivity slider, but discover that in one or two places you hear two sounds when you click on a slice, then it is time to bring out the Lock tool.

1. Find the slice where you hear two sounds when auditioning.

2. Make a mental note of the current slider setting.

3. Set the sensitivity slider to a higher value to get a slice marker between the two sounds.

4. Audition to make sure you got what you wanted.

5. Lock the new slice marker.

6. Drag the sensitivity slider to the original setting.

Moving a slice marker

Before moving slices manually, make absolutely sure the slice positions found by the analyze algorithm don't suffice. The program is very good at finding slice points, and the points found by the program often work better - for example for tempo changes - than the ones that you can find manually.

You can move a single slice marker manually, even if it is locked.

1. Make sure the Arrow or Pencil Tool is selected.

2. Select the existing slice marker that you wish to move.

If this isn't already in the area where you would like to move the slice to, place it there by dragging the slice marker.

As you drag, the vertical line of the slice marker is superimposed upon the waveform. This line indicates where the slice will be placed when you release the mouse button.

3. After having placed the slice marker in the general area where you would like to move the slice to, zoom in on it very closely and move the slice marker to where you want it.

4. The line snaps to zero crossings in the waveform (positions where the amplitude is zero) exactly like when adding slices, so manually moved slices won't introduce any clicks or pops. If the amplitude is zero for a period of time, the line will move continuously over this area.

5. When you have found the correct position, release the mouse button.

Only one slice marker at a time can be moved.

If you hold down [Alt], the snap to zero crossing is disabled and you can move a slice to any position.

We do not recommend that you do this unless you have very good reason, since it can introduce clicks and pops in the sound during playback.

Context Menu Items

Right-clicking in the marker strip (but not directly on a slice marker handle), brings up a context menu with the following items:

Menu Item | Description
Select All | This will select all slices.
Invert Selection | If you have a selection of slices, this item will invert the current selection, so that the markers that were previously selected are now deselected, and vice versa. This is mainly useful together with Silence Selected .
Magnify to Fit/Magnify to Fit Loop | If you select Magnify to Fit from the menu, the display will zoom out so that the entire sample fits the window. If Magnify to Fit Loop is selected, the display will zoom in (or out) so that the area between the left and right locators will fit the window.

Right-clicking directly on a slice handle brings up a context menu with the following items:

Menu Item | Description
Locked | Toggles the "Locked" status on or off for the slice handle you click on.
Hidden | Toggles the "Hidden" status on or off for the slice handle you click on.
Delete | This will delete any selected slice(s).
Select All | See table above.
Invert Selection | See table above.
Set Left Locator to This Slice | This sets the left locator to the slice handle you click on.
Set Right Locator to This Slice | This sets the right locator to the slice handle you click on.
Magnify to Fit/Magnify to Fit Loop | See table above.


Toolbox

The Toolbox contains the following tools:

Icon | Item | Description
 | Arrow | Used for selecting Slice markers. See " Selecting Markers ".
 | Hide | Used for deactivating slices by clicking on their marker handles. See " Using the Hide Tool ".
 | Lock | Used for locking slices, by clicking on their marker handles. See " Using the Lock Tool ".
 | Pencil | This is used for adding slices manually. See " Adding Slice Markers ".


Horizontal Zoom Indicator

If you click or drag in the horizontal magnification indicator, the amount of horizontal zoom changes. Furthermore, the indicator will always show the current magnification.


Vertical Zoom Indicator

If you click or drag in the vertical magnification indicator, the amount of vertical zoom changes. The vertical scale is displayed in decibel, and the zoom factor changes in steps of 6 dB. Minimum zoom will show 0 dB as the top and bottom waveform amplitude boundaries in the window, the next factor will show -6, and so on.


Amplitude scale

The amplitude scale is displayed in dB, and its range is dependent on the vertical zoom factor. The zoom factor changes in steps of 6 dB. Minimum zoom will show 0 dB as the top and bottom waveform amplitude boundaries in the window, the next factor will show -6, and so on.


Level Meter

The level meter indicates the output level of the selected file during playback. Two meter bars are shown for stereo files and one bar for mono files.

You should check that levels never cause the Clip indicator(s) (the larger segment(s) at the top of the meter), to light up frequently. If they do light up but only momentarily, listen carefully to hear if the sound is affected in a detrimental way - your ears are always the best judge!

If Preview mode is selected, the meters indicate the level post any applied effects.

You can boost or cut the output level with the "Gain" parameter in Preview mode, to compensate for levels being too high or low due to other processing, for example equalization.

In case of boosting the output level, watch the meter and listen carefully to avoid clipping.


Toolbar

To get help on the Toolbar, click in the picture below (aim at the section or item that you want to know more about).


Open/Save

The Open and Save buttons.

The Open button brings up the Open dialog, allowing you to load a file from disk. For a description of the dialog, see " Open... ".

Clicking the Save button saves any changes made to the file since you last saved. If the file hasn't been saved before, the Save dialog comes up asking you to specify a name and location for the file. Files are saved as REX2 files, the native ReCycle file format.


Transport Controls

The Stop and Play buttons.

The Play Button activates playback. To stop playback, press [0] on the numeric keypad or click the Stop button.

In addition, you can toggle between Play and Stop modes by pressing [Space].


Processing Gain

This function allows you to change the gain (volume) of the loop to compensate for levels being too high or low due to other processing, for example equalization. The applied gain change will be present when the loop is saved/transmitted/exported. Preview Mode must be activated for this to be available.

You can boost the gain by up to 18 dB, or lower it down to silence
(-80 dB).

You should avoid boosting the signal to the extent that the Level Meter clip indicators light up.


Preview Pitch

You can change the pitch of a loop up or down two octaves (+/- 24 semitones). Hold down [Ctrl] and click the Pitch knob to reset the pitch back to original. Preview Mode must be activated for this to be available.


Preview Tempo

You can change the tempo of the loop. Tempo values between 20 to 450 BPM can be set using the Tempo knob or by typing directly in the Tempo box and pressing [Enter]. Preview Mode must be activated for this to be available.

Hold down [Ctrl] and click the Tempo knob to reset the tempo back to original.


Preview Mode

This button toggles between standard playback and Preview mode. Preview mode lets you audition the loop more or less exactly as it will sound when transmitted to a sampler, or saved as a REX2 file. When Preview mode is selected (button is dark) you can change the pitch or tempo independently from each other, change the gain of the loop, add effects and more. Note that all Preview settings will be applied to the resulting REX2 file or when transmitted to your sampler!

Before you can audition non-REX2 files using Preview Play, you have to first specify the loop length (in Bars and Beats) to calculate the tempo, and then create a sufficient amount of slices. See Tempo, Time Signature, Bars and Beats and Sensitivity Slider .


Slice Audition Buttons

The three Slice audition buttons are used to audition slices. They have the following respective functionality:

Play previous Slice (and make it the current). By repeatedly clicking this button, you can step through the Slices in reverse order and audition each one.

Play current Slice.

Play Slice and move to next (making the next Slice the current). By repeatedly clicking this button, you can step through the Slices from left to right and audition each one.


Transmit/Receive/Export Buttons

Transmit As One Sample

The Transmit As One Sample button toggles between on and off status.

When Transmit As One Sample is turned off, the audio gets sliced into individual samples when transmitted, and the MIDI files created will contain one note for each of those slices.

This is the preferred mode if you want to use your MIDI sequencer to edit the loop, change its tempo or use the MIDI file as a groove.

When Transmit As One Sample is turned on (button is dark), the program will transmit the part that stretches from the Left Locator to the Right as one sample.

Also, in this mode, the MIDI File will only consist of one event, with the length set using the Bars and Beats settings.

This mode is mainly useful if you simply want to alter specific properties of an audio file in the sampler without otherwise changing it, or when using Silence Selected to separate sounds from a loop.

Sampler Receive Button

If you have an external sampler connected to the computer, ReCycle can receive the audio directly from it. If this button is clicked, the Receive dialog appears (see Receive ). Its exact appearance depends on which sampler you have selected in the Sampler Settings dialog.

Sampler Transmit Button

This opens the Transmit dialog for the currently selected sampler. See " Transmit " for details about the dialog.

Export Sound Button

This button opens the Export Sound dialog, where you can save files in various formats.


Effect Buttons

ReCycle features three effect processors, Envelope, Equalizer, and Transient Shaper, that can be used to further manipulate audio loops.

The three Effect buttons (from left to right); Envelope, Transient Shaper and Equalizer.

The three effects each have their own panel, containing the parameters. By clicking on one of the effect buttons, the corresponding panel is shown below the toolbar.

The left to right order of the buttons also reflects the internal signal path of the effects.

If all are activated, Envelope is always the first effect in the signal path, the Transient Shaper is the second, and the Equalizer is last.

For a full description of each effect, see Effect Parameters .

About the Effects

All effects are applied globally, i.e. they will affect all slices equally in a loop.

To be able to apply the effects, Preview Mode must be activated.

To activate Preview mode for an audio file (as opposed to a ReCycle file) you must first have set up the left and right locators, specified the length and time signature of the loop and created a sufficient number of slices (see the previous chapter). You could of course also load ReCycle files for further processing, in which case these settings have already been made and you can apply effects in Preview mode directly.

The principle "what you hear is what you get" applies when you save or transfer a file, like with all the other Preview mode functions.

Activating Effects

Effects can be active regardless of whether the panel is visible or not. There are two ways you can activate effects:

By clicking on the Effect On/Off button for an open panel.

When an effect is on (activated), the On/Off button becomes dark, and a green light is shown in the effect button for the corresponding effect.

Effect On/Off button and the green light indicating that the corresponding effect is activated (in this example the Envelope effect).

By holding down [Alt] and clicking on an effect button you can toggle the effect on and off.

The green dot in the corresponding Effect button is greyed out if the effect is deactivated.

About the Presets

For each Effect there are a number of preset settings available.

To select a Preset, click on the Preset button (beside the Effect On/Off button).

A pop-up menu appears with the available Presets listed.

The Effect Presets button.

It is not possible to store user presets.


Tempo, Time Signature, Bars and Beats

Many of the operations in ReCycle require you to specify how long the loop between the Locators actually is, meter-wise. This information is then used to calculate the original tempo of the loop, which will be displayed in the "Orig. Temp" field. The tempo can be freely adjusted in Preview mode, either by typing in a new tempo in the Tempo field, or by using the Tempo knob.

Time Signature

The Sign pop-up menu allows you to choose between a few of the more common Time Signatures. If none of them fit your purpose, you can still "assemble" a correct Time Signature using the Bars and Beats settings.

Bars and Beats

The Bars field and Beats pop-up are used to specify the length of the loop. Lets explain this by example:

Actual Loop Length | Set "Bars" to: | Set "Beats" to:
One bar | 1 | 0
Two bars | 2 | 0
Half a bar in 4/4 | 0 | 2
One and a half bar in 6/8 | 1 | 3

As stated above, you can use Bars and Beats to "create" some unusual Time Signatures:

Actual Loop Length | Time Signature | Bars | Beats
Two bars in 7/4 | 4/4 | 3 | 2
One bar in 9/8 | 6/8 | 1 | 3

Original Tempo

When the Left and Right Locators are set, and the correct Time Signature and loop Length (Bars and Beats) has been specified, this field will show the calculated original tempo of the loop.


Left and Right Locators - Horizontal Ruler Area

The Locators are used to set the loop. The Locators are placed in the Horizontal Ruler, which can show the position either as Time or number of Samples, determined by the Preferences setting.

There are several ways to set the locators:

By dragging

The left and right Locators can be dragged to set the loop during playback.

If you have no slices at all (if the Sensitivity slider is all the way to the left), the Locators can be positioned freely.

If there are any slices visible, the Locators snap to the lines.

If you want to position the Locators freely, even though you have slices, hold down [Alt] while dragging a Locator.

By clicking

To set the Left Locator, hold down [Shift] and click on the ruler.

To set the Right Locator, instead hold down [Ctrl] and click.

Normally, the positions snap to the closest slice point, but if you also hold down [Alt] when you click, you can set the Locator at any point.

Use the Slices when setting Loop Points!

When trying to find a good loop point, use snap to slices if at all possible. If you can't seem to get a good loop point that way, try raising the Sensitivity slider to get more slices and try again.

When - and only when - you can't find a good loop point in this way, zoom in and adjust the Loop positions with [Alt] pressed.

What are the Locators used for?

The Locators are of course used to define the loop you get during playback. But they also have other purposes:

ReCycle uses the Locator positions when calculating the tempo of the Loop.

When saving/exporting or when transmitting audio to the sampler, only the part between the Locators is actually used.

When you create MIDI files, only the section between the Locators is taken into consideration, as with the transmitted audio above.


Sensitivity Slider

Most of the time when working with ReCycle, you will want to cut your loop up into slices. A slice is a section of the waveform, from one slice marker to the next.

When you load or receive a loop, ReCycle analyzes it to determine where slice markers should appear (where the individual sounds in the loop are).

The Sensitivity slider is then used by you, to set the overall amount of slices. The higher the sensitivity, the more slices you will get. And, the more slices you have, the smaller entities ReCycle will cut the loop into.

The number to the right of the slider represents the current position of the slider, where 0 represents minimum sensitivity and 99 maximum sensitivity.

The quickest way to get a good selection of slices is to set the sensitivity quite high, roughly between 70 - 80, and then use the Hide Tool (see " Using the Hide Tool ") to deactivate any slices you don't need.


Silence Selected

When this function is activated, the slices that have selected markers will be silenced when transmitted or Exported. Preview mode can be used to audition this function.

When Silence Selected is turned on, the slices which have selected markers...

...will be replaced by silence.

This feature is probably best used when Transmit As One Sample is turned on, to silence individual sounds in a longer sample. It can also be used to simply skip unwanted sounds, when slicing.

But, Silence Selected works even if Transmit As One Sample is turned off. In this case, the selected slices will simply be skipped, both when transmitting to the sampler and when creating MIDI Files.

You can use the Gate Sensitivity parameter in conjunction with this to remove the silenced portions of the loop.


Gate Sensitivity

Gate Sensitivity could be described as a type of noise gate. It is triggered (opened) by every active slice start, and closes for any material in the slice that falls below a set threshold. When you set the Gate Sensitivity so that part of the slice(s) fall below the threshold, the gated part of the waveform will be greyed out. The "gated out" material is not transmitted or exported.

It has three primary uses:

It can be used to remove part of a file that contains silence, for example when using Silence Selected .

By removing "silent data", the file size is reduced.

It can be used if you have a file with several individual sounds containing "air" in between the sounds, and want to save each one as a separate file.

Used together with the slice algorithm, this also keeps the file size down, and saves you from having to trim the files in your sampler.

It can be used for special effects - abruptly chopping off a reverb tail for example.


Open...

This dialog is used to load audio files from the hard disk. The dialog is a standard file dialog with some additions.

By default, this dialog will appear automatically when you launch ReCycle. If you don't want this, open the Preferences dialog on the Edit menu, and deactivate the "Show Open Dialog on Startup" option.

File Info

When you select a file in the list, information about file type, length, etc is shown in the lower part of the Open dialog.

For all recognized audio file formats, the following information is displayed:

File Type (see About The Different File Formats ).

Number of channels.

File Length.

Bit depth.

Sample Frequency.

File Size, in Bytes (For REX2 files the data compression ratio is displayed in parentheses. For example, 2.4:1 means that the file was 2.4 times larger before it was compressed).

If the file is a ReCycle file, the following additional information is displayed:

Tempo.

Time signature.

Length in bars and beats.

Usage, which tells you the size of the loop (i.e the audio between the locators) in relation to the total file size in percent.

The number of slices in the file (only available if a REX2 file is selected).

Export Size tells you the size of the file if transmitted/exported (only available if a REX2 file is selected).

Play and Stop buttons

When you click the Play button, the selected file will be played back. If you wish to stop playback before the file ends, click Stop.

Auto Play

If this option is on (ticked), playback will start automatically as soon as a new file is selected from the dialog. If a new file is selected during playback, the previous selection will stop and playback of the new selection will start directly.

You will not be able to play a file under the following conditions:

If the file is in a format ReCycle doesn't support.

If there isn't enough memory (RAM) left to load the sample.

If the sample is longer than 30 seconds it won't play automatically (but you can audition it with the Play button).

Filetype Selector

When the top item on this menu is selected, the file list will show all files in the directory that are in any of the formats that ReCycle supports.

When any of the other alternatives are selected, the files list only shows files in that format.

About The Different File Formats

ReCycle can load mono or stereo files that meet the following criteria:

The bit depth can be 8, 16 or 24 bits.

Sample rates between 11.025 kHz to 1.0 MHz are supported.

The file is not longer than 5 minutes (regardless of sample rate and mono/stereo status).

The table below shows the supported file formats.

Name | Extension | Comment
ReCycle | RX2/RCY/REX | REX2 is the native file format created when you save in ReCycle. RCY/REX are ReCycle files that were created with previous versions of ReCycle.
Wave | WAV | The standard Microsoft file format for audio. May be in formats other than 16-bits.
Audio IFF (AIFF) | AIF | Audio Interchange File Format; Apple's standard audio file format. May be in formats other than 16-bits.


Close

This Closes the active document. If there are unsaved changes, you will get the option to save the changes or to cancel the operation.


Save

This saves any changes made to the file since you last saved. If the file hasn't been saved before, the Save dialog comes up asking you to specify a name and location for the file. Files are saved as REX2 files, the native ReCycle file format.


Save As...

This dialog box allows you to Save as a REX2 file to disk and specify the name and location for the file.


Save All

Save All saves all open documents. For new documents, that have not previously been saved as REX2 files, the Save As dialog is used. If Cancel is selected the entire Save All operation is cancelled. Save All is disabled on the menu if no open documents need to be saved.


Export Sound

The Export Sound dialog is used if you want to save your files for internal samplers and in other formats (see the online Sampler and File Format Reference document) for which the program saves audio files on your computer's hard disk.

File Formats


File Formats

The File Format pop-up is where you select the file format you wish to export the file as. The following file formats are supported:

Name | Ext. | Comment
Standard MIDI File | MID | Allows you to export a Standard MIDI file. This can be used if you only want to create a MIDI File (for example when using ReCycle to create "groove maps").
Wave | WAV | The standard Microsoft file format for audio. Exports one or several files, with one slice in each file, depending on the "Transmit as One Sample" setting on the Process menu.
Audio IFF (AIFF) | AIF | Audio Interchange File Format; Apple's standard audio file format. Exports one or several files, with one slice in each file, depending on the "Transmit as One Sample" setting on the Process menu.
Mixman Track File | TRK | Mixman TRK (for "Track") files are the building blocks in the Mixman Studio and Mixman Studio Pro applications. To facilitate tempo-matching, the Mixman TRK files contain "slices" internally (somewhat like ReCycle files). A single file is created. If the exported document is based on a stereo file, an alert box will appear informing you that the file will be mixed to mono, since Mixman files are always mono.
SampleCell Instrument File | INS | Digidesign's SampleCell is a PCI based sampler card/software editor for both the MacOS and PC platforms. ReCycle exports an Instrument file plus one or several sound (Wave) files, with one slice in each file, depending on the "Transmit as One Sample" setting on the Process menu. ReCycle's Export settings for SampleCell supports templates.
SoundFonts 2 Banks | SF2 | SoundFont is a file format for storing wavetable synthesized sounds. Effectively, this turns an ordinary sound card into a sampler. Creates a single SF2 file when exported, with the option to export a MIDI file with the same name.
Akai S5000/S6000 Program Files | AKP | Exports a program file together with one or several audio files, with one slice in each file, depending on the "Transmit as One Sample" setting on the Process menu.


Export Settings

Before exporting a file in one of the supported formats, the Export Settings dialog is shown. The following items may be present, depending on the selected export format:

A Sample Rate pop-up allows you to change the sample rate when Exporting.

Supported sample rates depend on the File Format selected.

An "Export MIDI File with Same Name" tickbox.

When checked, a MIDI file with the specified name will be generated together with the exported file.

A "Templates" checkbox.

Currently only SampleCell supports templates. See the on-line Sampler Supplements document or the documentation that came with SampleCell for details.


File Quick Selection List

The most recently loaded files are listed on the File menu. Selecting one Opens it.


Quit

This simply Quits the program. If you have any unsaved changes you will be asked whether yo want to save them before quitting.


Undo/Redo

You may be able to Undo your last action by selecting this menu item or by pressing [Ctrl]-[Z] (the default key command for Undo). The menu item also gives you a clue about what will be undone. For example: If it says "Undo Delete Slice(s)" the last thing you did was deleting a slice.

If you wish to "Undo the Undo", this is possible since after an Undo, this menu command changes to "Redo".

The following actions can be undone:

Move slice

Delete slice(s)

Hide slice(s)

Lock slice(s)

Insert slice (pen tool)

Move left/right locator

Convert to mono

Normalize

Crop Loop

Convert sample rate

Re-Analyze

Preset selection (effects)


Copy Loop

You can use "Copy Loop" to copy the entire loop (i.e. all waveform data between the left and right locators) to the Clipboard. You can also use the key command [Ctrl]-[C] for this item.


Paste as New Document

If the Clipboard contains data, this can be pasted into a new (automatically created) document window by using the "Paste as New Document" menu item.You can also use the key command [Ctrl]-[V] for this item.


Delete

"Delete" will delete all selected slice markers. You can also use the [Delete] button on your computer keyboard for this.


Select All

The "Select All" menu item will select all slice markers in the active document. You can also use the key command [Ctrl]-[A] for this.


Invert Selection

If you have a selection of markers, you can invert the selection by using "Invert Selection".

After this operation, the markers that were previously selected are now deselected, and vice versa. This is mainly useful together with Silence Selected, to extract individual sounds from a loop.


Preferences

The Preferences dialog is used to make audio settings, to set some general options for how the program operates, and to customize the look of the waveform display.

Preferences - Audio

Setting the Audio Card Buffer

Preferences - General

Preferences - Waveform


Preferences - Audio

Selecting an Audio Card Driver

All available drivers are listed on the Audio Card Driver pop-up menu. You should select one based on the criteria listed below:

If you are using audio hardware for which there is a specific ASIO driver, you should select this.

With an ASIO driver written specifically for the audio hardware, ReCycle can communicate more or less directly with the audio hardware.

If you select an ASIO driver, some additional items will be available in the Audio Preferences:

If the card and its driver supports it, the "Clock Source" pop-up allows you to set an external source to which the audio playback can synchronize its sample rate.

Please refer to the documentation that came with your card for details.

The ASIO Control Panel may contain settings specific to your audio card.

Please refer to the documentation that came with your card for details.

If you have an audio card with multiple outputs, you can select which output pair you wish ReCycle to use by clicking the "Output Channels..." button.

This item will not be selectable if you use a card with only a regular stereo output.

If there is no specific ASIO driver, you should select the Direct Sound driver for the audio hardware.

This makes ReCycle communicate with the hardware via Direct Sound (a part of the Microsoft DirectX package). For this to be possible, you need to have DirectX installed on your computer, and there must be a Direct Sound driver for the audio hardware.

If the audio hardware doesn't support Direct Sound (i.e. there is no Direct Sound driver for the audio hardware), select the MME driver for the audio hardware.

This makes use of Windows Multimedia Extensions, the part of Windows that handles audio, MIDI, etc. Using MME may result in a noticeable latency, causing the audio playback to be slightly delayed. In the case of ReCycle, you would notice this in that playback started slightly after you clicked the Play button, for example.

Regardless of which type of audio hardware or drivers you are using, you should follow these basic steps:

1. Make sure you have the latest drivers for the audio hardware!

Please check the manufacturer's website for the latest versions.

2. Install the audio hardware and its drivers as described in its documentation.

3. Connect the stereo outputs of your audio hardware to your listening equipment (speakers, mixer, headphones or similar).

For information about how to use multiple outputs (i.e. more than a stereo output), see the electronic documentation. For now, we stick to standard stereo connections.

4. If possible, test that audio plays back properly with the audio hardware.

In the case of audio hardware with ASIO drivers, you will need some test application for this (often included with the audio hardware). If you are using DirectX or MME drivers, you can use Windows' Media Player application for this.


Setting the Audio Card Buffer

ASIO

If an ASIO driver is selected, there will be no "Buffer Size" slider in the Preferences dialog.

If you are using an ASIO driver specifically written for the audio hardware, you can in some cases make settings for the hardware by clicking the ASIO Control Panel button.

This opens the hardware's ASIO Device Control Panel, which may or may not contain parameters for adjusting the number and/or size of the audio buffers. Please consult the documentation of your audio hardware and its ASIO drivers for details!

DX/MME

For DirectX or MME drivers, it is important that you trim the buffer setting properly. The buffer setting is a balance between fast response to playback commands on one hand and "safe" audio playback on the other.

1. Select "Open" from the File menu.

2. In the dialog that appears, navigate to the ReCycle program folder.

Make sure the "All Files" option is selected on the "Files of type" pop-up menu.

3. Open the file "Drum Tools Demo.aif".

4. Activate Playback by clicking the Play button.

5. Open the Preferences dialog from the Edit menu.

6. In the Preferences dialog, locate the Buffer Size slider and drag it all the way to the right.

7. Now drag the Buffer Size slider to the left, a bit at a time. Try positions further and further to the left, until the sound starts "breaking up".

8. Drag the slider a little bit to the right, so that the sound is OK again.

9. Close the dialog.


Preferences - General

The "Don't show Open Dialog on Startup" item determines whether or not the Open dialog should automatically open when ReCycle is launched.

When "Always Move Left Locator to First Slice Point" is activated, ReCycle will automatically place the Left Locator on the first slice point when you Open or Receive a sample.

If this is not activated when you Open or Receive a sample with no loop setting, or the loop start is just at the beginning of the sample, a dialog appears suggesting you should let the program move the Left Locator to the first slice point. This is to avoid very short slices at the beginning of the sample, It is recommended that you do this, unless you have a good reason not to.

If "Set Bars to 1 in New Documents" is ticked, any new audio file will open up with Preview mode activated, and the Tempo calculated to the length being one bar.

Note that this will lead to files playing back at the wrong tempo if the loop isn't exactly one bar! You can always change the number of bars later of course, and the tempo will be recalculated according to the bars setting.

The "Units on Horizontal Ruler" allows you to set whether Time (in seconds) or number of Samples should be displayed on the horizontal ruler.


Preferences - Waveform

You can customize the look of the Waveform window by using the settings at the bottom of the Preferences dialog:

The "View stereo files as sum of L+R" Option

If this item is ticked, the left and right channels of stereo files will be summed to one channel, instead of being stacked on top of each other. Note that this is a display option only, the actual audio material is not affected.

Waveform Color

Click this button to select a new color for the waveform. This brings up the standard Windows Color dialog. The color field to the right shows you the current color selection.

Waveform Look

Use this pop-up menu to select one of three different waveform "looks"; Plain, 3D or Shaded. Plain displays the waveform with normal graphics, 3D adds a depth effect to the graphics and Shaded adds a progressive shade to the lower part of the waveform.

Contrast Slider

This slider sets the amount of contrast between the background display and the waveform. For maximum contrast, position the slider all the way to the right. Moving the slider to the left progressively adds more of the chosen waveform color to the background display.


Sampler Settings

The Sampler Settings dialog is where you set up and edit the Sampler List. The samplers you have included on this list will be available on the Sampler menu in the main ReCycle window, for transmit and receive operations.

Even if a sampler is on the list, this doesn't mean it's set up correctly or even connected to the computer! ReCycle doesn't automatically remove samplers from the list if they are not connected. You may temporarily disconnect your sampler between sessions, without having to set it up in ReCycle again.

Finding all Connected Samplers

Sampler Help

Add Sampler Dialog

Verifying the Connection with a Sampler

Making Settings for a Sampler

Deleting a Sampler from the List


Finding all Connected Samplers

There are special considerations regarding the following sampler models or setups:

Ensoniq samplers (all models).

These cannot be automatically found by ReCycle.

Generic SDS and SMDI (Generic and Extended).

These cannot be automatically found by ReCycle.

Multiple instances of the same model samplers that require a MIDI connection for SCSI transfers (i.e. Kurzweil K2000/Yamaha A3000/Roland S-760).

There may be problems if you have two or more of the above mentioned sampler models (that is, two or more instances of the same model) connected via MIDI, and one of these is also connected via SCSI.

In all the above mentioned cases, you should instead add the samplers manually, see " Add Sampler Dialog ".

ReCycle can scan the SCSI and MIDI connections and automatically add all properly connected samplers to the Sampler List:

1. Open the Sampler Settings dialog.

You should have turned on and booted all connected samplers before you turned on the computer and launched ReCycle.

2. Click the "Find All..." button at the bottom of the dialog.

ReCycle scans for samplers.

3. When a properly connected sampler is found (that isn't already on the Sampler List), you will be asked if you want to add it to the list.

Click "Yes" to add the sampler to the list.

4. If a sampler is found, that is already included on the Sampler List, ReCycle will tell you this.

Click "Skip" to continue the search.

ReCycle will only find one sampler of each model - if you have more than one sampler of the same model connected, you need to add these manually (see Add Sampler Dialog ).

If a sampler is found, that isn't properly connected, ReCycle will inform you of this and tell you what you need to do.

For example, you may have a Yamaha A3000 sampler connected via SCSI only. The program will find it, but since this sampler requires a MIDI connection, it will not be added to the Sampler List. Instead you will be asked to check your MIDI connection and MIDI interface.

Once the Find All process is complete, all properly connected samplers have been added to the Sampler List (provided that you clicked "Yes" for each one of them in step 3 above). You can check this by pulling down the Sampler pop-up menu at the top of the dialog.

You can now rename and edit the settings for samplers on the list, as described in the section " Making Settings for a Sampler ".


Sampler Help

Click the "Sampler Help" button for specific information about the currently selected sampler model.


Add Sampler Dialog

You can manually add a sampler to the Sampler List at any time, regardless of whether the sampler is connected or not. This is useful if you want to set up your system before you connect your samplers, or if you have several samplers of the same model connected (since ReCycle only "finds" one sampler of each model):

1. Click the "Add..." button at the bottom of the Sampler Settings dialog.

The Add Sampler dialog appears.

2. Use the Model pop-up menu to select the sampler model you want to add.

Note that each actual sampler model may have more than one entry on the pop-up menu, if there are different ways to connect the sampler (e.g. via MIDI or via SCSI).

There are special considerations for some E-mu samplers - please read the E-mu chapter in the Sampler and File Format Reference online document!

3. If you know that the sampler is connected and booted, click the "Find..." button.

ReCycle scans the MIDI and/or SCSI connections for a sampler of the selected model. If it finds one, you are asked whether you want to add it to the Sampler List. If you click "Yes", the sampler is added to the list with the correct SCSI ID and/or MIDI SysEx ID settings.

Please note that ReCycle will only find one sampler each model - if you have more than one sampler of the same model connected, you need to add these by clicking "OK" instead, and adjust the MIDI/SCSI settings manually, see Making Settings for a Sampler .

4. To add a sampler without "finding" it, click OK.

A sampler of the specified model is added to the Sampler List, with default values for SCSI and/or MIDI settings. You will probably have to change the SCSI and/or MIDI settings manually later.

About the Generic SDS and SMDI Samplers

Samplers that may be compatible with the Generic SDS/SMDI and Extended SMDI formats cannot be automatically "found" by ReCycle, nor can the connection be verified! To check if these protocols for transferring samples works with your sampler is a matter of trial and error (see the Sampler and File Format Reference documentation for details).

These are not samplers as such, but rather protocols for transferring samples between two devices. If your sampler model isn't supported by ReCycle you may still be able to transfer audiofiles using one of the generic sampler formats.

SDS stands for "Sample Dump Standard", and is a protocol for transfer of sound sample data between devices via MIDI.

SMDI stands for "SCSI Musical Data Interchange" and could be described as "SCSI SDS", i.e.the purpose of the SMDI protocol is to use the superior data transfer ability of SCSI to serve the same purpose as SDS.

Common to both protocols is the ability to send samples between any two devices in a commonly recognized format.

Adding an Ensoniq Sampler

For technical reasons, Ensoniq samplers cannot be automatically "found" by ReCycle. This means you have to add these samplers manually, without "finding" them (by clicking OK in the Add Sampler dialog as described above), and then adjust the MIDI settings in the Sampler Settings dialog.

To make sure your settings are correct, use the Verify function in the Sampler Settings dialog, as described below.
Note: Make sure the Ensoniq sampler isn't in "Load Mode", as this will disable MIDI communication!


Verifying the Connection with a Sampler

Verifying the connection does not work with any of the Generic or Extended SMDI formats! Please refer to the Sampler and File Format Reference documentation for more details.

Near the lower left corner of the Sampler Settings dialog, you will find a small icon next to a "Verify" button. The icon indicates whether the currently selected sampler on the Sampler pop-up menu is properly connected (on-line) or not.

For example, if you add a sampler manually without using the "Find" function, the icon will be a red cross, indicating that the sampler isn't on-line. If the selected sampler is found automatically by ReCycle, the icon will be a green check mark, indicating that the sampler is on-line.

To update the status of the icon and check the connection to the currently selected sampler, click the "Verify" button.

For example, you may want to do this after having changed SCSI or MIDI settings, as described below.

Each time you launch ReCycle, the program automatically Verifies the connection with all samplers on the Sampler list.

If a sampler isn't on-line, it will not be available on the Sampler menu.


Making Settings for a Sampler

In the area to the left in the Sampler Settings dialog, you can adjust the settings of the currently selected sampler. There are three sections:

Name.

This shows the name of the sampler as it will appear on the Sampler menu in the main ReCycle window. If you wish to rename it, click the "Rename..." button and enter a new name.

MIDI settings.

If the selected sampler uses a MIDI connection, you will find settings for MIDI In/Out ports and SysEx ID. To change these settings, use the respective pop-up menu.

SCSI settings.

If the selected sampler uses a SCSI connection, you will find settings for SCSI Bus and SCSI ID. To change these settings, use the respective pop-up menu.

If you change the MIDI or SCSI settings manually this way, you should always use the Verify function to check that the sampler is on-line.

Read the Sampler Information!

When a sampler is selected (on the Sampler pop-up menu), you will see an image of its front panel displayed to the right in the Sampler Settings dialog, along with model and connection information. Below the image, you will also find the following information:

Required OS.

This is the operating system required for the sampler to work with ReCycle.

Found OS.

This is the operating system currently used by the sampler. If this is an older OS version than the "Required OS", you need to upgrade the sampler.

Stereo Support

This tells you whether the sampler supports stereo audio files or not.

Notes.

Under this heading you may find additional important information. There may for example be certain settings you need to make in the sampler before using it with ReCycle. Make sure that you follow the instructions under this heading carefully!


Deleting a Sampler from the List

If you wish to remove a sampler from the Sampler List, proceed as follows:

1. Pull down the Sampler pop-up menu and select the sampler you want to remove.

A picture of the sampler is displayed, together with information about the required Operating System and additional notes.

2. Click the "Delete..." button at the bottom of the dialog.

3. Click "Yes" to confirm that you want to remove the sampler.


The Effects

The Envelope, Equalizer and Transient Shaper items opens the effect panels for the respective effect. These menu items do not activate or deactivate the effects, they only bring the effect panels into view.

ReCycle features three effect processors, Envelope, Equalizer, and Transient Shaper, that can be used to further manipulate audio loops.

All effects are applied globally, i.e. they will affect all slices equally in a loop.

To be able to apply the effects, Preview mode must be activated.

To activate Preview mode for an audio file (as opposed to a ReCycle file) you must first have set up the left and right locators, specified the length and time signature of the loop and created a sufficient number of slices (see the previous chapter). You could also load ReCycle files for further processing, in which case these settings have already been made and you can apply effects in Preview mode directly.

When using effects, the principle "what you hear is what you get" applies to the end result, whether you save the file or transfer the file to a sampler.

For a full description of each effect see Effect Parameters .

Open the Effect Panels

Activating Effects

About the Presets


Open the Effect Panels

The three Effect buttons (from left to right); Envelope, Transient Shaper and Equalizer.

The three effects each has its own panel, containing the parameters. By clicking on one of the effect buttons located to the left of the transport controls, the corresponding panel is shown below the toolbar. You can also open the effect panels from the View menu.

The left to right order of the buttons also reflects the internal signal path of the effects.

If all are activated, Envelope is always the first effect in the signal path, the Transient Shaper is the second, and Equalizer is the last.

For a full description of each effect see Effect Parameters .


Activating Effects

Effects can be active regardless of whether the panel is visible or not. There are two ways you can activate effects:

By clicking on the Effect On/Off button for an open panel.

When an effect is on (activated), the On/Off button becomes dark, and a green dot is shown in the effect button for the corresponding effect.

Effect On/Off button.

By holding down [Option] (Mac) / [Alt] (Win) and clicking on an effect button you can toggle the effect on and off.

The green dot in the corresponding Effect button is greyed out if the effect is deactivated.


About the Presets

For each Effect there are a number of preset settings available.

To select a Preset, click on the Preset button beside the Effect On/Off button.

A pop-up menu appears with the available Presets listed.

The Effect Presets button.

It is not possible to store user presets.


Effect Parameters

Envelope

Transient Shaper

Equalizer


Envelope

To open the Envelope processor, click on the Envelope button, or select Envelope from the View menu.

The Envelope Attack and Decay parameters govern how the volume of a slice should change over time, from the time it is triggered (the slice note starts) until the slice note ends. This can be used to make a loop more distinct (by having a snappy attack and a short decay time) or more spaced-out (by raising the attack time).

The Envelope panel also features a third parameter; "Stretch", which is described separately below.

The Attack parameter determines the attack length (in milliseconds) for each slice.

The higher the setting, the slower the attack. Parameter range is 0 - 430 ms.

The Decay parameter controls the length of the end portion (tail) of each slice.

The more the knob is turned anti-clockwise, the shorter the decay. Range is 27ms - Infinite (=full decay).

Stretch

This feature is used when you know you might want to lower the tempo of the loop in your sequencer.

How Stretch works

When you slice up a loop and play it back from your sequencer, each sample will play in succession. At the original tempo, one slice will end exactly where another starts.

As you understand, when you then lower the tempo, there will be small gaps between the slices, which disrupts the flow of the audio.

Stretch is used to add an extra tail of audio to each slice, to lengthen it. This is derived from the natural decay of the sound. This extra tail of sound then fills out the gap between the slices when the tempo is lowered.

Please note that the attack of the sound is not affected in any way.

The Amount of Stretch

The Stretch knob is used to set the amount of stretch as a percentage value.

The percentage values tell you how much longer the entire sample will be after stretching. If you select the largest value (100%), for example, the slice will become twice its original length when transmitted to the sampler.

To decide how much stretch you need, lower the Preview tempo by the same amount as you intend to use, and adjust the Stretch parameter as necessary.

If there is a discernible gap of silence between slices you should raise the Stretch setting.

Note that Stretch is not Time Stretch! The Stretch feature doesn't lengthen the whole slice, it only adds a portion of sound to the end of it.

Stretch and the old ReCycle Formats

You should be aware of the fact that REX (as opposed to REX2) files can contain certain settings that are irreversible. For example, if stretch was applied when the file was saved, the stretching is part of the actual REX file and cannot be removed. It is possible, however, to apply more stretch, which may or may not be what you want.

For REX files it is therefore advisable to try lowering the tempo in Preview mode first, to see if you actually need to apply Stretch.

REX2 files however, only contains the actual audio file and the slices, the rest (effects, stretch setting etc.) is added when the file is loaded and can be changed at any time.


Transient Shaper

The Transient Shaper is a type of compressor. Compressors level out the audio, by making loud sounds softer and vice versa. The result is that the levels become more even and individual sounds can get more power and "punch". To compensate for the volume loss that can be caused by compression, the Transient Shaper has automatic gain compensation, that raises the overall level by a suitable amount.

"Normal" compressors are triggered by peaks and volume changes in the actual audio. The Transient Shaper is instead triggered by the individual slices in the loop.

Regardless of method, if you have ever used a compressor, you will find that the Transient Shaper will affect the sound much like a normal compressor. It is, however, important to be aware of this difference, as the Transient Shaper won't affect the audio file unless it contains slices. The parameters are as follows:

Parameter

Description

Threshold

This is the threshold level above which the compression sets in. Signals with levels above the threshold will be affected, signals below it will not.

In practice, this means that the lower the Threshold setting, the more the signal will be compressed. The range is -6 to
-40 dB.

Amount

This lets you specify the amount of gain reduction applied to the signals above the set threshold. The range is 0 to 99.

Attack

This governs how quickly the compressor will apply its effect when signals rise above the set threshold. If you raise this value, the response will be slower, allowing more of the signal to pass through the compressor unaffected. Typically, this is used for preserving the attacks of the sounds. The range is 0 to 91 ms.

Release

When the signal level drops below the set threshold, this determines how long it takes before the compressor lets the sound through unaffected. Set this to short values for intense, "pumping" compressor effects, or to longer values for a smoother change of the dynamics. The range is 13 ms to 1.4 s.

Gain meter

This shows the amount of gain reduction or increase (in dB), caused by the combined compression and gain compensation.


Equalizer

The Equalizer allows you to cut or boost selected frequencies to shape the overall sound quality. To open the Equalizer, click on the Equalizer button or select it on the View menu. The parameters are as follows:

Parameter | Description
Lo Cut | A highpass filter allowing you to set the lower limit of the overall frequency range. You can progressively cut frequencies from 15 Hz up to 12 kHz.
Low Frequency | The center frequency for the low-end parametric equalization. Around this frequency, the sound will be boosted or cut according to the Low Gain setting. The available frequency range is 20 Hz to 3 kHz.
Low Gain | Governs the amount of boost or cut around the set frequency. The range is ± 18dB.
Low Q | Determines the width of the frequency band around the center frequency to be affected. The narrower the frequency band, the more drastic effect of the boost or cut. Range is 0.5 to 10.
High Frequency | The center frequency for the high-end parametric equalization. Around this frequency, the sound will be boosted or cut according to the High Gain setting. The available frequency range is 1.5 kHz to 16 kHz.
High Gain | Governs the amount of boost or cut around the set frequency. The range is ± 18dB.
High Q | Determines the width of the frequency band around the center frequency to be affected. The narrower the frequency band, the more drastic effect of the boost or cut. Range is 0.5 to 10.
Hi Cut | A lowpass filter allowing you to set the upper limit of the overall frequency range. You can progressively cut frequencies from 20 kHz down to 100 Hz.


Magnify to Fit/Magnify to fit Loop

If you select Magnify to Fit, the display will zoom out so that the entire sample fits the window. If Magnify to Fit Loop is selected, the display will zoom in (or out) so that the area between the left and right locators will fit the window.


Jump to Cursor

If this is selected, the window will scroll to the current play position, maintaining the current magnification factor.


Show Grid

You must have set a loop length for this item to be available. When enabled, a grid showing Bars/Beats/16th notes is shown in the waveform display.


Scroll during Playback

When you play back, the current position is indicated by a dotted line travelling across the waveform. If the option "Scroll during Playback" is checked on the View menu, the current position will always be displayed in the waveform display. This option can also be toggled on or off by pressing [F] on your computer keyboard.


Transmit as One Sample

Deactivated

When Transmit As One Sample is turned off, the audio gets sliced into individual samples when transmitted, and the MIDI files created will contain one note for each of those slices.

This is the preferred mode if you want to use your MIDI sequencer to edit the loop, change its tempo or use the MIDI file as a groove.

Activated

When Transmit As One Sample is turned on, the program will transmit the part that stretches from the Left Locator to the Right as one sample. Also, in this mode, the MIDI File will only consist of one event, with the length set using the Bars and Beats settings.

When should Transmit as one Sample be Activated?

One obvious application of transmitting as one sample (as opposed to separate slices) is when you simply want to change the properties (like pitch and/or tempo) of an audio file without otherwise changing it. Say you have an audio file (Wave, Aiff etc.) that you wish to use in a song. The problem is that the tempo and/or the pitch of the file is wrong for the song, and you wish to fix this. The solution is to open the file in ReCycle, then slice it up and set the length of the loop using the normal techniques. Enter Preview mode, set the new tempo and/or pitch, and lastly export the file (with Transmit as one Sample activated) in it's original format but with a new tempo and/or pitch etc.

Transmit as One Sample cam also be used in conjunction with Silence Selected to separate sounds from a loop.


Silence Selected

When this function is activated, the slices that have selected markers will be silenced when transmitted or Exported. Preview mode can be used to audition this function.

When Silence Selected is turned on, the slices which have selected markers...

...will be replaced by silence.

This feature is probably best used when Transmit As One Sample is turned on, to silence individual sounds in a longer sample. It can also be used to simply skip unwanted sounds, when slicing.

But, Silence Selected works even if Transmit As One Sample is turned off. In this case, the selected slices will simply be skipped, both when transmitting to the sampler and when creating MIDI Files. This will then create "gaps" in the sampler's keyboard map and a corresponding "gap" in the MIDI File.


Normalize

Normalize will change the gain to ensure maximum level.

When Normalize is selected, a dialog box appears asking if you want to Normalize the whole file or each slice.

If you select the latter, and the selected file is a rhythmic loop, the normalizing will disrupt the inherent dynamics of the loop, since the gain of each slice will be changed to more or less equal level.

Therefore, normalizing the whole file is probably what you would normally select.

Normalizing each slice can be used when you use ReCycle to process individual sounds that don't belong to a loop.

Normalize can't do miracles. If your recording contains unwanted noise, normalizing will increase the noise level together with the other audio material.


Convert to Mono

This item will convert stereo files to mono. It is only selectable for stereo files.

The dialog lets you decide which channel(s) you wish to use as the basis for the converted file.

The options are Left, Right or a Mix of both Left and Right channels.


Convert Sample Rate

This item allows you to convert the sample rate of a file. Lowering the sample rate will reduce the file size, but it will also lower the fidelity of the recording (less high frequency material will be present).

On the other hand, increasing the sample rate will not raise the fidelity of the sample in any way. It is therefore not recommended to convert from a low rate to a higher one, unless it is required by the sampler.

The dialog shows the files current sample rate, and the supported sample rates you can convert to.


Crop Loop

Crop Loop allows you to trim files, by removing all audio data outside the left and right locators.

If you have set up a perfect loop with the locators, and the file contains audio outside this locator range you can use Crop Loop to remove this superfluous data.


Remove DC

This function will remove any DC offset in the audio. DC offset is when there is too large a DC (direct current) component in the signal, sometimes visible as the signal not being visually centered around the "zero level axis". DC offset can introduce clicks and it also affects zero crossing detection and certain processing functions such as Re-Analyze and Normalize.


Re-Analyze

Re-Analyze re-runs the slice-detection algorithm on the waveform data. You may have deleted slices that were detected when the file was first analyzed. This command will "re-discover" those slices.

All slices discovered by Re-Analyze that lies on a position in the file not already occupied by a slice will be added.

Note that these may or may not be visible, as this depends on the Sensitivity setting!


Transmit

The top menu item on the Sampler menu changes name depending on which sampler you have selected. Selecting "Transmit to..." opens the Transmit dialog for the currently selected sampler.

Exactly how the dialog looks depends on the selected Sampler, but there are a few standard items you will most often find there:

Sample Rate

Templates

Program Name

Transmit

MIDI File + Transmit


Sample Rate

Sample Rates between 11.025 to 1 MHz are supported.

Status Bar shows inherent rate

When you Open or Receive a sample, its inherent sample rate is displayed in the Status Bar at the bottom of the ReCycle application window.

Available rates

In the transmit dialog, a number of sample rates can be selected from a pop-up. Exactly what options are available depends on the sampler selected.

If possible, the sample's inherent rate is suggested.

If, for example, the sample was recorded at 48 kHz, this will be the suggested sample rate in the Transmit dialog.

If the sample's inherent rate is not supported by the sampler, the next higher rate is suggested.

In addition to the above, a number of other sample rates can be selected from the pop-up in the Transmit dialog.

If the sampler only handles a few sample rates, they can all be selected. If the sampler supports many rates, the most commonly used ones (or the ones closest to these) are available. Those most common rates are 11.025kHz, 22.05kHz, 32kHz, 44.1kHz and 48kHz.

When is sample rate conversion performed?

If you transmit, and the sample rate set in the Transmit dialog is not the same as shown on the Status Bar (the sample's inherent rate), a sample rate conversion will be performed during the transmission.

When should I change from the suggested sample rate?

Lowering the sample rate will make the samples occupy less memory in the sampler, but it will also lower the fidelity of the recording (less high frequency material will be present).

On the other hand, increasing the sample rate will not raise the fidelity of the sample in any way. It is therefore not recommended to convert from a low rate to a higher one, unless it is required by the sampler.


Templates

When ReCycle sends audio to your sampler it will put the samples it creates in a "container" which holds all the samples and their mapping on the keyboard. This "container" may be called a Program, Instrument, Patch or similar, all dependent on the naming used by the sampler manufacturer. For now, let's call it a Program.

There are a number of settings in the Program which may or may not be of importance to you.

If the settings are not important to you, you don't need to use templates, you should use the Default option in the Transmit dialog. ReCycle will then simply create as simple a Program as possible. You can then change this Program's settings by using the controls on the sampler itself.

If you do need special settings, you use Templates. You might for example want the first slice to appear on a certain key, you might want to have all samples play to a certain output, you may want the Program to receive on a certain MIDI Channel etc. Proceed as follows:

1. On the sampler, manually create a Program with the desired settings.

Make sure the first sample in the Program's keyboard map is positioned where you want the first sample in the keyboard map created by ReCycle.

2. Save this Program to disk (using the sampler's regular file saving functions), for later use, but make sure it still resides in the sampler's internal memory.

3. In the ReCycle Transmit dialog, select this program from the Template pop-up.

Exactly how this is done depends on the sampler. If it is external you can select the Program from a pop-up menu in the dialog. If ReCycle saves the data on to your computer's hard disk, then you select a disk file as your template.

4. Transmit/Export the Program.

A new Program is created in the sampler. It will get all the settings of the Template. The first slice will appear on the same key as where the first sample in the Template was.

If you use exactly the same name as the Template, the new Program may replace the Template.


Program Name

Using this field you can specify a name for the Programs you are about to create in the sampler.

You can specify the name directly in the dialog. You will only be able to type in characters supported by the sampler, and the name will be truncated to fit the length of the names in the specific sampler.

The actual slices that the Program contains will get names derived from the Program name, with a number added at the end. For example BigDrums#01, BigDrums#02, etc.


Transmit

This button creates a Program and samples for it, without creating any MIDI File.


MIDI File + Transmit

This button will make two things happen:

Programs and samples are created.

A file dialog appears, which allows you to create a MIDI File on your computer's disk.

This resulting file should used in your sequencer to play the slices in the sampler.


Receive

If you have an external sampler connected to the computer, ReCycle can receive the audio directly from it.

1. Make sure the sampler you wish to receive from is selected on the lower half of the ReCycle Sampler menu.

If the sampler cannot be found on the Sampler menu, you need to go into the Sampler Settings dialog and add the sampler.

2. Select "Receive..." from the Sampler menu.

A dialog appears. Its exact appearance depends on which sampler you have selected.

3. In the dialog box you will find a pop-up which allows you to select a sample in the sampler.

4. Clicking Receive transfers the sample into the computer and opens it in a new window.


Cascade

Cascade windows arranges document windows in an overlapping fashion with the title bars visible.


Tile Horizontally

Tile Horizontally resizes the currently open windows and attempts to display as much as possible of the windows stacked on top of each other.


Tile Vertically

Tile Vertically resizes the currently open windows and attempts to display as much as possible of the windows placed side by side.


Close All

Close All closes all open document windows.


Resize Application Window to Documents

This item will resize the application window to fit the currently open ReCycle document(s).


Document List

The Document List shows all currently open ReCycle documents. Selecting one will make it the active document.


Contents

If you select "Contents" the Help Contents appears. The on-line help contains descriptions of all menu items, arranged like the menus on the menu bar in the program, allowing you to quickly find the desired menu item.

You can also perform a keyword search.

You can also get help by clicking [F1] or the Help button in ReCycle dialogs to get specific information about each dialog.

Pressing [F1] will launch help for the main Recycle Window where you can click on the item or section you want to know more about.


Contacts

The next items on the Help menu allow you to contact Propellerhead Software for support and more info.

For these items to be useful, you need to have a valid Internet connection and an Internet browser installed on your computer.

Go to the Propellerhead Homepage...

This menu item brings you to the homepage of Propellerhead Software, where you will find information about new ReCycle versions, etc.

Download Drum Loops...

This menu item brings you directly to the Drum Loop page on the Propellerhead web site. Here you can download various drum loops for free.

ReCycle Tech Info and Support...

This menu item brings you directly to the ReCycle Support pages on the Propellerhead web site. Use this option if you are having trouble with ReCycle and need help!

Order ReCycle Now

This takes you to the "Prop Shop" where you can place orders for all cool Propellerhead products.

Register ReCycle Now

This is where you register your copy of ReCycle. Registering means that you get access to product updates (when available), tech support and more.


System Information

If you select this item, a dialog will open, displaying information about your computer and the SCSI, Audio and MIDI configurations:

You cannot change any settings in this dialog - it is only there to give you information. The pop-up menus are really just lists of installed drivers.

General

This section contains info about your computer's processor type, Windows version, physical memory and DirectX version.

Audio

This section contains a list of the available Audio Card Drivers. If you select one of the drivers from the pop-up menu, the version and type (ASIO/MME/DirectX) of the driver are displayed below.

MIDI

This section contains a list of the available MIDI ports. If you select a port with the pop-up menu, its driver version is displayed below.

SCSI

This section indicates which version of ASPI (the protocol for SCSI communication under Windows) is installed. The pop-up menu contains a list of the available SCSI buses.

Copy to Clipboard

Clicking this button copies the contents of the System Information dialog onto the Windows clipboard. You can then paste this into a text file or an e-mail, e.g. when contacting tech support.


About ReCycle

Selecting this brings up a window showing you the version of the program and a list of the people involved in creating it.

To close the About ReCycle window, click anywhere in it.


Rename Sampler Dialog

The Rename Sampler dialog allows you rename the currently selected sampler. Simply type in a name of your choice in the "New Name" field and click OK.


No Length Specified Dialog

You cannot select Transmit, Export File or enter Preview mode without having first specified a loop length in Bars/Beats. You have two options:

You can press cancel to return to standard mode.

Now play back the loop to determine its length, enter this in the Bars field/Beats pop-up, then click [Return] before entering Preview mode or transmitting/exporting the file.

You can enter a number of Bars directly in the dialog and click OK.

The Original tempo will be calculated and applied according to the number of Bars specified. If the Bar setting was wrong (i.e. the calculated original tempo is wrong), you can change it at any time by entering a new Bar value.


Open Dialog (Demo)

Selecting "Open" from the File menu brings up the Select Sample dialog which contains a selection of Rex2 files. In the Demo version of ReCycle, you are limited to using these files. Click the Radio button for the file you wish to load and then click OK.


Enter Licence Number

To be able to run the program you must fill out this dialog properly. The authorization code can be found on the Product Authorization card included in your package. It is a number formatted as follows:

RCY200-9999-999999-XXXX-XXXX-XXXX-XXXX

...where "9" can be any number and "X" can be any letter or number.


Akai Sampler via MIDI

MIDI Connections

Making Sampler System Settings

Transmitting

Playback Modes

Loop settings

Keygroups


MIDI Connections

1. Connect a MIDI Cable from the MIDI Out on the sampler to a MIDI In on your computer.

2. Connect a MIDI cable from a MIDI Out on your computer to the MIDI In on the sampler.


Making Sampler System Settings

1. Make sure you have the operating system required by ReCycle as specified in the Sampler Settings dialog.

New operating systems can be downloaded from Akai's Web site.

Operating System updates for Akai samplers might be installed inside your sampler or arrive on a floppy disk (which can be copied to a hard disk). If you have your operating system on a floppy disk, this disk must always be inserted into the drive when you turn on the sampler.

2. Turn on the sampler. If it is loading the operating system from the floppy, let it finish loading everything before turning on any other devices.

Setting MIDI System Exclusive IDs

For ReCycle to automatically recognize samplers via MIDI (using the "Find" or "Find All" functions), you need to make sure that the sampler has a "MIDI Exclusive Channel setting" of 1 to 16 and not higher:

The parameter is called "MIDI EXCLUSIVE Channel" or "MIDI Sysex Chan", depending on the sampler model.

Consult the sampler documentation for details.


Transmitting

When you Transmit a sample to an Akai sampler, ReCycle always creates new Samples, Keygroups and a Program to put it all in.

Templates

If you use Templates (as described in the printed manual), ReCycle copies all settings in the Template Program to the Program it creates.

The lowest note number of the first keygroup in the template Program (the Keygroup furthermost to the left on the "keyboard") is used for the first sample ReCycle transmits. All other samples are positioned chromatically upwards.

If you want to use templates to position your ReCycle samples on a certain part of the "keyboard", you might create a Program in your sampler, with only one Keygroup in, positioned where you want the first sample. You could even have a number of such dummy Programs on your sampler startup disk, which would allow you to use the Template pop-up menu in the Transmit dialog to simply select where on the "keyboard" your ReCycled samples will appear.


Playback Modes

When you slice a sample, we recommend that you set the samples to "PLAY TO SAMPLE END" (to ensure it doesn't loop and to make sure the entire sample plays). This can be done either for an individual sample or as a setting in the Keygroup. See your Akai sampler manual for more information.


Loop settings

ReCycle will put the loop points at the beginning and end of each slice. To make a sample actually loop when you hold down the key, the only thing you have to do is to turn on looping (this is probably most useful when you have Transmit As One Sample turned on). If you know you want looping to start with, set up a Template Program with looping turned on.


Keygroups

The Slices are loaded into one keygroup each. By using "Edit One Keygroup" or "Edit All Keygroups" it is very easy to get creative with the Akai samplers.

In "All" mode you might for example mimic a pitch shift by changing the tuning of all samples. Or you might change the Decay of the sounds by altering all keygroups' envelopes.

In "One "mode you can pitch different samples individually or set them to different Outputs, panning etc.


Akai Sampler via SCSI

SCSI Connections

Making Sampler System Settings

Transmitting

Templates

Playback Modes

Loop settings

Keygroups


SCSI Connections

Akai samplers only have one SCSI connector. If you have more than one Akai sampler, you need a SCSI splitter cable or box. This will allow you to connect all units to the computer at the same time.

To be able to set up a system with more than one Akai Sampler you need to remove termination in all samplers but one. Contact a qualified Akai Service centre.

General SCSI Rules!

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with power on all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 feet).

The devices at the ends of your SCSI chain must be terminated!

Akai samplers have terminators built in, but these can be removed if needed (contact an Akai service centre for more info).
SCSI cards for PC also have termination built in, but this should under no circumstances be removed.
If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be at one end of the SCSI chain of devices.

Set all devices to different IDs before turning on power!

Akai samplers are normally set to 6, but this can be changed. PC SCSI cards are normally set to ID 7.

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may lose data.

Windows SCSI Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.

Setting SCSI IDs

The Akai samplers are normally set to SCSI ID 6. If you only have the sampler connected via SCSI, this will work fine. If you have other peripherals, or more than one sampler connected via SCSI, you need to check that all devices are set to different IDs.

The SCSI ID of an Akai sampler is set with the parameter called "local SCSI ID".

If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again. Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

In case of transfer problems

Even if you have followed the general SCSI guidelines above, there might be extreme situations where you could possibly run into problems with SCSI. If the computer freezes, as a result of communication problems during a transfer to the sampler, proceed as follows:

1. On the sampler, make a "Save Entire Volume" to new empty floppy disks. Do not overwrite earlier disks and do not save to hard disk, since the data you save now may be corrupted.

2. Check through the Programs in the sampler and delete those that didn't get transferred accurately. Check that the remaining Programs seem to be intact. Save to floppy again.

3. Restart the sampler and the computer, and try the transfer again.

The only way to insure yourself totally against loss of important material is to Save on the sampler, as often as possible.


Making Sampler System Settings

1. Make sure you have the operating system required by ReCycle as specified in the Sampler Settings dialog.

New operating systems can be downloaded from Akai's Web site.

Operating System updates for Akai samplers might be installed inside your sampler or arrive on a floppy disk (which can be copied to a hard disk). If you have your operating system on a floppy disk, this disk must always be inserted into the drive when you turn on the sampler.

2. Turn on the sampler. If it is loading the operating system from the floppy, let it finish loading everything before turning on any other devices.


Transmitting

When you Transmit a sample to an Akai sampler, ReCycle always creates new Samples, Keygroups and a Program to put it all in.


Templates

If you use Templates (as described in the printed manual), ReCycle copies all settings in the Template Program to the Program it creates.

The lowest note number of the first keygroup in the template Program (the Keygroup furthermost to the left on the "keyboard") is used for the first sample ReCycle transmits. All other samples are positioned chromatically upwards.

If you want to use templates to position your ReCycle samples on a certain part of the "keyboard", you might create a Program in your sampler, with only one Keygroup in, positioned where you want the first sample. You could even have a number of such dummy Programs on your sampler startup disk, which would allow you to use the Template pop-up menu in the Transmit dialog to simply select where on the "keyboard" your ReCycled samples will appear.


Kurzweil Sampler via MIDI

MIDI transfers only support mono files! You need to use SCSI for stereo file transfers.

MIDI Connections

Checking the MIDI System Exclusive IDs

Transmitting

Templates

Loop settings


Checking the MIDI System Exclusive IDs

1. Go to the MIDI Receive parameters page on your K2000/2500/2600.

2. Check the SysEx ID setting. If you have more than one Kurzweil sampler they must be set to different IDs.


Transmitting

When you Transmit slices to a K2000/K2500K2600, ReCycle always creates new Samples and Keymaps and a Program to put it all in.


Templates

If you use Templates (as described in the printed manual), ReCycle copies all settings in the Template Program to the Program it creates.

The lowest note number of the first layer in the template Program (the layer furthermost to the left on the "keyboard") is used for the first sample ReCycle transmits. All other samples are positioned chromatically upwards.

If you want to use templates to position your ReCycle samples on a certain part of the "keyboard", you might create a Program on your sampler, with only one layer in, positioned where you want the first sample. You could even have a number of such dummy Programs in your sampler, which would allow you to use the Template pop-up menu in the Transmit dialog to simply select where on the "keyboard" your ReCycled samples will appear.


Loop settings

ReCycle does not set loop points at the beginning and end of each slice when transmitting to a Kurzweil sampler. If you want to loop a slice (probably most useful when using Transmit As One Sample), you need to set the loop points manually in the sampler and then turn on looping.


Kurzweil Sampler via MIDI+SCSI

Multiple instances of the same Kurzweil model may cause ReCycle to not be able to automatically find any of the samplers!

The problem occurs if you have two or more instances of the same Kurzweil model connected via MIDI, and one of these is also connected via SCSI. If you have connected two or more Kurzweil models in this way, you have to add the samplers manually.

Note that SCSI transfers require both SCSI and a two-way MIDI connection!

MIDI Connections

SCSI Connections - Basic Rules

Booting Up and Making System Settings

Transmitting

Templates

Loop settings


SCSI Connections - Basic Rules

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with power on all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 feet).

The devices at the ends of your SCSI chain must be terminated!

Follow the recommendations in your manuals about how to terminate your devices. If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be at one end of the SCSI chain of devices.

Set all devices to different IDs before connecting and turning on power!

Kurzweil samplers are normally set to ID 6 but this can be changed from the front panel if needed. PC SCSI cards are normally set to ID 7.

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may lose data.


Booting Up and Making System Settings

1. Make sure you have the latest operating system for your sampler (see the Sampler Settings dialog). ReCycle may not be able to communicate with the sampler if you don't have a current version.

2. Turn on the sampler and any connected external SCSI devices. Let the sampler finish booting.

3. Turn on your computer.

If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again. Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

Windows SCSI Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.

Checking the MIDI System Exclusive IDs

1. Go to the MIDI Receive parameters page on your K2000/2500/2600.

2. Check the SysEx ID setting. If you have more than one K2000 they must be set to different IDs.


E-mu Sampler via SCSI

Note: Even though ReCycle supports all variations of the EOS 4.0 samplers, the program cannot automatically distinguish one model from another. Therefore, when ReCycle auto-detects an E-mu sampler running EOS 4.0, it will appear in the Sampler List as a generic "E-mu EOS Sampler". If you like, you can add the sampler manually, and specify the exact model.

Multiple instances of the same E-mu sampler model can cause ReCycle not to automatically "find" any of the samplers! The problem occurs if you have two or more instances of the same model connected via MIDI, and one of these is also connected via SCSI. If you have several samplers connected like this, add the samplers manually instead.

SCSI Connections - Basic Rules

Booting Up and Making System Settings

Receiving

Transmitting

Templates

Loop settings

Parameter settings


SCSI Connections - Basic Rules

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with power on all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 feet).

The devices at the ends of your SCSI chain must be terminated!

Follow the recommendations in your manuals about how to terminate your devices. If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be at one end of the SCSI chain of devices.

Set all devices to different IDs before connecting and turning on power!

E-mu samplers are normally set to ID 5 but this can be changed from the front panel if needed. PC SCSI cards are normally set to ID 7.

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may lose data.


Booting Up and Making System Settings

1. Make sure you have the latest operating system for your sampler (see the Sampler Settings dialog). ReCycle may not be able to communicate with the sampler if you don't have a current version.

2. Turn on the sampler and any connected external SCSI devices. Let the sampler finish booting.

3. Turn on your computer.

If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again. Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

Windows SCSI Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.


Receiving

Samples that you want to receive from your sampler are identified by name. Select the sample from the pop-up in the Receive dialog and click Receive.


Transmitting

Since more or less only the basic SMDI specification is used for communicating with E-mu samplers, some care must be taken when transmitting samples. Proceed as follows:

1. On the sampler, select a Preset where you want to insert the samples.

The samples are always entered into the current Preset starting at the key C1. The transmitted samples will overwrite any existing samples in the key range used. Therefore, we recommend that you use an empty Preset.

2. Check how many samples you will transmit, that is how many slices you currently have between the locators in your loop. This is displayed on the Status Bar.

3. In the E-mu sampler, find a range of currently unused sample numbers and enter the lowest of these in the Transmit dialog.

This range of unused sample numbers must accommodate all the slices you plan to transmit. If you for example plan to transmit 15 slices and enter the number 10, sample numbers 10 to 24 must be unused. If these sample numbers are not unused but rather "contain" samples, these will get overwritten!

4. Enter a basic name for the samples.

5. Click Transmit.


Templates

Templates are not implemented for E-mu samplers.


Loop settings

ReCycle will put the loop points at the beginning and end of each slice. To make a sample actually loop when you hold down the key, the only thing you have to do is to turn on looping in the sampler (this is probably most useful when you have Transmit As One Sample turned on).


Parameter settings

Since the samples are "injected" into the current Preset, no special parameter settings are made. You might want to manually adjust envelopes and other settings to make the slices play back as "transparently" as possible. Or, you might want to modify parameters to purposely change the sound!


Extended SMDI sampler

Samplers that may be compatible with the Extended SMDI protocol cannot be "found" by ReCycle, nor can the connection be verified! Add the sampler manually using the "Add Sampler" dialog.

This protocol was developed by E-mu to facilitate sample transfers using the SMDI protocol with the added functionality of key mapping. This is not a standard as such (or as yet), but makes it possible for sampler manufacturers that support SMDI to easily adapt to the Extended SMDI protocol, with this added functionality.

This protocol may enable you to transfer files between your sampler and ReCycle even if your sampler model isn't supported:

Your sampler must support the "normal" SMDI protocol - check your manual for information.

It is not recommended that you connect a sampler to your computer via SCSI unless you know that it supports SMDI!

In addition, you need the following:

On the PC, and on recent Macintosh models you need a SCSI card.

A SCSI cable.

Communication between the computer and the sampler happens via SCSI only, which means that MIDI connections (and OMS on the Macintosh) are not required.

SCSI Connections

Receiving

Transmitting

Templates

Loop settings

Parameter settings


SCSI Connections

General SCSI Rules!

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 ft).

The devices at the ends of your SCSI chain must be terminated!

Follow the recommendations in your manuals about how to terminate your devices. If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be at one end of the SCSI chain of devices.

Set all devices to different IDs before connecting and turning on power!

The Yamaha samplers are normally set to ID 6 but this can be changed from the front panel (with the "SelfID" setting on the Disk parameter pages).
PC SCSI cards normally occupy the SCSI ID 7.

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may lose data.

Booting Up

1. Turn on the sampler and any connected external SCSI devices. Let the sampler finish booting.

2. Turn on your computer.

If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again. Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

Windows SCSI Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.


Receiving

With the Extended SMDI protocol, samples that you want to receive from your sampler are identified by name. Select the sample from the pop-up in the Receive dialog and click Receive.


Transmitting

When the Extended SMDI protocol is used for communicating with a sampler, some care must be taken when transmitting samples. Proceed as follows:

1. On the sampler, select a program (or whatever term your sampler uses for a collection of samples and their settings) where you want to insert the samples.

We recommend that you use an empty program.

2. In the sampler, find a range of currently unused sample numbers and enter the lowest of these in the Transmit dialog.

3. This range of unused sample numbers must accommodate all the slices you plan to transmit. If you for example plan to transmit 15 slices and enter the number 10, sample numbers 10 to 24 must be unused. If these sample numbers are not unused but rather "contain" samples, these will get overwritten!

4. Enter a basic name for the samples.

5. Click Transmit.


Templates

Templates are not supported for Extended SMDI samplers.


Ensoniq Sampler

Ensoniq samplers cannot be automatically "found" by ReCycle. Instead you have to add them manually to the Sampler List.

MIDI Connections

Making Sampler System Settings

Transmitting

Templates

Loop settings


MIDI Connections

1. Connect a MIDI Cable from the MIDI Out on the sampler to a MIDI In on your computer.

2. Connect a MIDI cable from a MIDI Out on your computer to the MIDI In on the sampler.

MIDI Communication

For MIDI Communication to be possible, you must make sure that the Ensoniq sampler is not in "Load Mode".

If the Ensoniq sampler is in "Load Mode" when ReCycle is launched, the program will not be able to Verify the connection to the sampler properly.
If this happens, exit "Load Mode" on the sampler, open the Sampler Settings dialog in ReCycle and use the Verify function to re-establish communication.

If you are using a Multi-Port MIDI Interface or a MIDI Merger

Since the sampler is connected via MIDI only, all sample data is transmitted via MIDI, in very large portions. If you are using a Multi-Port MIDI interface or a MIDI Merger, the huge amount of data may prevent the interface/merger from working properly, i.e. communication with other connected MIDI instruments may be lost or disrupted. If you encounter such problems, we recommend that you connect the sampler via a single port MIDI interface, if possible.


Making Sampler System Settings

1. Make sure you have the latest operating system for your sampler. ReCycle may not be able to communicate with the sampler if you don't have a current version. If in doubt, contact your dealer.

2. Turn on the sampler. Let it finish booting before turning on other devices.

3. Among the sampler's System parameters, make sure "MIDI SYS-EX" is set to ON.

Use the "SAVE GLOBAL PARAMETERS" option to save this setting.


Transmitting

The Transmit dialog allows you to specify an Instrument slot and a name for the Instrument. When you Transmit to the EPS/ASR, ReCycle always creates new WaveSamples, Layers and Instruments, as needed. In the Instruments that ReCycle creates, the first sample is always put on the key C1.


Templates

Templates are not implemented for Ensoniq samplers.


Roland S-760

MIDI Connections

Making Sampler System Settings

Transmitting

Templates

Loop settings


Making Sampler System Settings

1. Make sure you have the latest operating system for your sampler. ReCycle may not be able to communicate with the sampler if you don't have a current version.

2. Turn on the sampler. Let it finish booting.

3. On the S-760, press the Mode button and select "System Mode". Press the Value button twice to get to the System menu.

4. Select "MIDI" and press Value again to enter the MIDI menus.

5. On the MIDI menus make sure that "MIDI Out/Thru" is set to Out, and that "Exclusive RX" is set to On.

6. Press the Mode button, select "Performance" and press the Value button again to enter Performance Play mode.


Transmitting

The S-760 must always be in Performance mode when transmitting or receiving samples!

When you Transmit a sample to an S-760, ReCycle always creates new Samples and Partials and a Patch to put it all in.

The default Volume ID for ReCycle Patches is "RCY". This can be changed before transmission, by editing the name in the Transmit dialog.


Templates

If you use Templates (as described in the printed manual), ReCycle copies all settings in the Template Patch to the Patch it creates. and the first Partial's settings will be applied to all created Partials.

The lowest note number in the template Patch (the Partial furthermost to the left on the "keyboard") is used for the first sample ReCycle transmits. All other samples are positioned chromatically upwards.

If you want to use templates to position your ReCycle samples on a certain part of the "keyboard", you might create a Patch on your sampler, with only one Partial/Sample in, positioned where you want the first sample. You could even have a number of such dummy Patches on your sampler startup disk, which would allow you to use the Template pop-up menu in the Transmit dialog to simply select where on the "keyboard" your ReCycled samples will appear.


Loop settings

ReCycle will put the loop points at the beginning and end of each slice. To make a sample actually loop when you hold down the key, the only thing you have to do is to change looping, from OneShot to whatever mode is required for your application (this is probably most useful when you have Transmit As One Sample in ReCycle turned on). If you know you want looping to start with, set up a Template Patch with looping turned on.


Yamaha A3000 via MIDI+SCSI

You need the following:

A MIDI interface and two MIDI cables.

A SCSI card.

A SCSI cable.

A MIDI connection is required.

Multiple instances of the Yamaha A3000 may cause ReCycle to not be able to automatically find any of the samplers!

The problem occurs if you have two or more instances of the A3000 connected via MIDI, and one of these is also connected via SCSI. If you have connected two or more A3000 samplers in this way, you have to add them manually.

MIDI Connections

SCSI Connections

Booting Up

Making Sampler System Settings

Transmitting

Templates

Loop settings


MIDI Connections

1. Connect a MIDI Cable from the MIDI Out on the sampler to a MIDI In on your computer.

2. Connect a MIDI cable from a MIDI Out on your computer to the MIDI In on the sampler.

If you are using a Multi-Port MIDI Interface or a MIDI Merger

If your A3000 is connected via MIDI only, all sample data is transmitted via MIDI, in very large portions. If you are using a Multi-Port MIDI interface or a MIDI Merger, the huge amount of data may prevent the interface/merger from working properly, i.e. communication with the A3000 may be lost or disrupted. If you encounter such problems, we recommend that you connect the A3000 via a single port MIDI interface, if possible.


SCSI Connections

General SCSI Rules!

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 ft).

The devices at the ends of your SCSI chain must be terminated!

Follow the recommendations in your manuals about how to terminate your devices. If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be at one end of the SCSI chain of devices.

Set all devices to different IDs before connecting and turning on power!

The Yamaha samplers are normally set to ID 6 but this can be changed from the front panel (with the "SelfID" setting on the Disk parameter pages).
PC SCSI cards normally occupy the SCSI ID 7.

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may lose data.


Booting Up

1. Make sure you have the required operating system for your sampler. ReCycle may not be able to communicate with the sampler if you don't have a current version. If in doubt, contact your dealer.

2. Turn on the sampler and any connected external SCSI devices. Let the sampler finish booting.

3. Turn on your computer.

If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again. Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

Windows SCSI Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.


Making Sampler System Settings

1. Go to the MIDI Receive parameters page on your A3000.

2. Check the Basic Channel (BasicCh) setting. If you have more than one A3000 they must have different Basic Channel settings.

3. Go to the MIDI Bulk page.

4. Make sure the Protect switch is Off.


Transmitting

When you Transmit Slices to an A3000, ReCycle creates new Samples and a Bank to put them all in. Just as when you load a Sample Bank from disk into A3000's memory, the Bank is initially deactivated.

To be able to play the Bank, you need to activate it in the current Program.


Templates

Either a Sample or a Sample Bank can be used as Template (for more information about Templates, see the operation manual).

If a Template Sample is used, a default Bank is created, and the parameter settings from the Template Sample are copied to all new samples created.

The first sample will be mapped to the same key as the Template Sample (the "OrigKey" parameter), and the following samples will be mapped chromatically upwards.

If a Template Bank is used, all settings in this Bank are copied to the created Bank.

For the individual samples in the Bank, the first sample in the Template Bank is used as Template Sample.


Loop settings

ReCycle will put the loop points at the beginning and end of each Slice. To make a sample actually loop when you hold down the key, the only thing you have to do is to turn on looping for the Slices in the sampler (this is probably most useful when you have Transmit As One Sample turned on).


Yamaha A3000 via MIDI

MIDI Connections

Booting Up

Making Sampler System Settings

Transmitting

Templates

Loop settings


MIDI Connections

1. Connect a MIDI Cable from the MIDI Out on the sampler to a MIDI In on your computer.

2. Connect a MIDI cable from a MIDI Out on your computer to the MIDI In on the sampler.

If you are using a Multi-Port MIDI Interface or a MIDI Merger

If your A3000 is connected via MIDI only, all sample data is transmitted via MIDI, in very large portions. If you are using a Multi-Port MIDI interface or a MIDI Merger, the huge amount of data may prevent the interface/merger from working properly, i.e. communication with other connected MIDI instruments may be lost or disrupted. If you encounter such problems, we recommend that you connect the A3000 via a single port MIDI interface, if possible.


Booting Up

1. Make sure you have the required operating system for your sampler. ReCycle may not be able to communicate with the sampler if you don't have a current version.

2. Turn on the sampler. Let the sampler finish booting.

3. Turn on your computer.


Generic SMDI Sampler

Samplers that may be compatible with the SMDI protocol cannot be "found" by ReCycle, nor can the connection be verified! Add the sampler manually using the "Add Sampler" dialog. To find out if it works is simply a matter of trial and error.

ReCycle supports the SMDI (SCSI Musical Data Interface) protocol for transferring audio samples via SCSI. This protocol may enable you to transfer files between your sampler and ReCycle even if your sampler model isn't supported:

Your sampler should support the SMDI protocol - check your sampler manual for information.

It is not recommended that you connect a sampler to your computer via SCSI unless you know that it supports SMDI!

In addition, you need the following:

A SCSI card.

A SCSI cable.

Communication between the computer and the sampler happens via SCSI only, which means that MIDI connections are not required.

Connecting

Booting Up

Receiving

Transmitting

Templates

Loop settings


Connecting

General SCSI Rules!

SCSI is a high speed electrical interface, primarily designed to connect hard disks and other peripherals to personal computers. SCSI is not a regular computer network so there are severe restrictions on how many devices you can have connected, cable lengths etc.

Improper SCSI handling might cause permanent damage to your equipment. Please, always follow the few but important golden rules of SCSI to insure yourself against damaged equipment:

Always make all connections with all units turned off!

Use high quality SCSI cables! The shorter they are, the better.

The total length of all SCSI cables should never exceed 6 meters (20 feet).

The devices at the ends of your SCSI chain must be terminated!

Follow the recommendations in your manuals about how to terminate your devices. If you set up with too many terminators, or a terminator missing, data transmission most probably won't work properly. In the worst case, one of your SCSI devices might get physically damaged.

The computer should always be in one end of the SCSI chain of devices.

Set all devices to different IDs before connecting and turning on power!
PC SCSI cards normally occupy the SCSI ID 7.

Set your sampler to use a suitable ID number if needed.

If your sampler has a "Avoid Host on ID" setting, please activate this. If a certain SCSI Device ID can be selected, set it to the same number as your computer/SCSI card (normally 7).

Always turn on the computer last, after all other devices have finalized their startup processes.

Always switch on all devices. If some device is not turned on, you may loose data.


Booting Up

5. Turn on the sampler and any connected external SCSI devices. Let the sampler finish booting.

6. Turn on your computer.

7. If the computer refuses to boot (the computer "hangs" during startup) there's something wrong with the termination, cables or SCSI IDs. Go back and check everything again.

Try with less equipment connected (but don't forget - always terminate both ends of the SCSI chain!).

Windows Device check

When you launch Windows the first time after connecting the sampler via SCSI, it will ask you if you want to install a driver for it. Follow the procedure in the Windows Installation chapter in the printed manual.


Receiving

Samples that you want to receive from your sampler are identified by number. Use the editing facilities on your sampler to find out which number a certain sample has, type in this number in the Receive dialog and click Receive.


Transmitting

When the SMDI protocol is used for communicating with a sampler, some care must be taken when transmitting samples. Proceed as follows:

Samples are just transmitted, not inserted into a program (or whatever term your sampler model uses) in any way.

Therefore there is no need to select a program before transmitting.

Exactly what happens with the transmitted samples depends on the particular sampler model - check the documentation for your sampler.


Templates

Templates are not supported for SMDI samplers.


Generic SDS Sampler

Samplers that may be compatible with the SDS protocol cannot be "found" by ReCycle, nor can the connection be verified! You have to add the sampler manually using the "Add Sampler" dialog. To find out if it works is simply a matter of trial and error.

ReCycle supports the generic SDS (Sample Dump Standard)) protocol for transferring audio samples via MIDI. This protocol may enable you to use ReCycle even if your sampler model isn't supported in the Sampler List:

Your sampler must support the SDS protocol - check your manual for information.

If you don't know if your sampler supports SDS, you will have to connect your sampler (see following pages), add the Generic SDS "sampler" in the Sampler Settings dialog and use the Verify button, to see if it will work.

In addition, you need the following:

A MIDI interface and two MIDI cables.

Transfers of stereo samples is not supported by SDS.

MIDI Connections

Receiving

Transmitting

Templates

Loop settings


Receiving

Samples that you want to receive from your sampler are identified by number. Use the editing facilities on your sampler to find out which number a certain sample has, type in this number in the Receive dialog and click Receive. Which number you should type depends totally on the sampler model. Some trial and error testing may be required to understand your sampler's numbering scheme.


Transmitting

When the SDS protocol is used for communicating with SDS samplers, some care must be taken when transmitting samples.

Samples are just transmitted, not inserted into a program (or whatever term your sampler model uses) in any way.

Therefore there is no need to select a program before transmitting.

Exactly what happens with the transmitted samples depends on the particular sampler model - check the documentation for your sampler.


Templates

Templates are not supported for SDS samplers.


First Run Help

Welcome to ReCycle 2.0! Before you start using this program, you should make sure that your audio settings are correct. Select Preferences from the Edit menu, and make the necessary settings as suggested in the text Preferences - Audio . This message only appears the first time ReCycle is launched.


Welcome to ReCycle Help!

This help system contains the following items:

A menu reference section.

Dialog Help

Application Window Help.

To get Help, do one of the following:

Select Contents from the Help menu.

This brings up the table of contents for the Help system.

Select Search from the Help menu.

This allow you to search for any word in the Help file.

Press [F1] in the main window.

This brings up the table of contents for the Help system, together with an image of the ReCycle window, where you can point and click on the item or section you wish to get help for.

Press [F1] in a dialog, or click its Help button.

This brings up help for that dialog.


ReCycle Application Window

Status Bar

Main Waveform Display

Thumbnail Overview

Marker Strip

Toolbox

Horizontal Zoom Indicator

Vertical Zoom Indicator

Amplitude scale

Level Meter

Toolbar

Open/Save

Transport Controls

Processing Gain

Preview Pitch

Preview Tempo

Preview Mode

Slice Audition Buttons

Transmit/Receive/Export Buttons

Effect Buttons

Tempo, Time Signature, Bars and Beats

Left and Right Locators - Horizontal Ruler Area

Sensitivity Slider

Silence Selected

Gate Sensitivity

Open...

Close

Save

Save As...

Save All

Export Sound

Export Settings

File Quick Selection List

Quit

Undo/Redo

Copy Loop

Paste as New Document

Delete

Select All

Invert Selection

Preferences

Sampler Settings

The Effects

Effect Parameters

Magnify to Fit/Magnify to fit Loop

Jump to Cursor

Show Grid

Scroll during Playback

Transmit as One Sample

Silence Selected

Normalize

Convert to Mono

Convert Sample Rate

Crop Loop

Remove DC

Re-Analyze

Transmit

Receive

Cascade

Tile Horizontally

Tile Vertically

Close All

Resize Application Window to Documents

Document List

Contents

Contacts

System Information

About ReCycle

Rename Sampler Dialog

No Length Specified Dialog

Open Dialog (Demo)

Enter Licence Number

Akai Sampler via MIDI

Akai Sampler via SCSI

Kurzweil Sampler via MIDI

Kurzweil Sampler via MIDI+SCSI

E-mu Sampler via SCSI

Extended SMDI sampler

Ensoniq Sampler

Roland S-760

Yamaha A3000 via MIDI+SCSI

Yamaha A3000 via MIDI

Generic SMDI Sampler

Generic SDS Sampler

First Run Help

Welcome to ReCycle Help!